Просмотр исходного кода

Travis: Import Dolphin’s clang-format hook.

Emmanuel Gil Peyrot 9 лет назад
Родитель
Сommit
fe948af095
1 измененных файлов с 20 добавлено и 1 удалено
  1. 20 1
      .travis-build.sh

+ 20 - 1
.travis-build.sh

@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 
 set -e
 set -x
@@ -9,6 +9,25 @@ if grep -nr '\s$' src *.yml *.txt *.md Doxyfile .gitignore .gitmodules .travis*
     exit 1
 fi
 
+for f in $(git diff --name-only --diff-filter=ACMRTUXB --cached); do
+    if ! echo "$f" | egrep -q "[.](cpp|h)$"; then
+        continue
+    fi
+    if ! echo "$f" | egrep -q "^src/"; then
+        continue
+    fi
+    d=$(diff -u "$f" <(clang-format "$f"))
+    if ! [ -z "$d" ]; then
+        echo "!!! $f not compliant to coding style, here is the fix:"
+        echo "$d"
+        fail=1
+    fi
+done
+
+if [ "$fail" = 1 ]; then
+    exit 1
+fi
+
 #if OS is linux or is not set
 if [ "$TRAVIS_OS_NAME" = "linux" -o -z "$TRAVIS_OS_NAME" ]; then
     export CC=gcc-6